;------------- MakeRescueDiskWizard -------------

[MakeRescueDiskWizard]
@ = [WizardTpl] at(minimizable,dragable) alias(makerescuedisk) mg(0,0,0,0) subst(BodyEx([MakeRescueDiskWizardPages]) Footer(subst(Back(use(0))))) ext(1)

[MakeRescueDiskWizardPages]
@                       = ext(1)
Intro                   = [WizardPage] h(26136) subst(Name() Body([MakeRescueDiskWizardPages_Intro]))
Iso_Locate				= [WizardPage] h(26123) visible(!bUseExistentIso) subst(Name() Body([MakeRescueDiskWizardPages_Iso_Locate]))
Iso_CopyLocal			= [WizardPage] h(26124) visible(!bUseExistentIso && (eIsoLocation == #eRdiskIsoCopyLocal)) btns(Next(enable(strIsoPath))) subst(Name() Body([MakeRescueDiskWizardPages_Iso_CopyLocal]))
Iso_CopyLocal_Progress	= [WizardPage] h(26124) visible(!bUseExistentIso && (eIsoLocation == #eRdiskIsoCopyLocal) && bProcessing) btns(Back(enable(bCanCancelProcessing)) Cancel(enable(bCanCancelProcessing)) Next(enable(0))) subst(Name() Body([MakeRescueDiskWizardPages_Iso_CopyLocal_Progress]))
Iso_Download_Progress	= [WizardPage] h(26124) visible(!bUseExistentIso && (eIsoLocation == #eRdiskIsoDownload) && bProcessing) btns(Back(enable(bCanCancelProcessing)) Cancel(enable(bCanCancelProcessing)) Next(enable(0))) subst(Name() Body([MakeRescueDiskWizardPages_Iso_Download_Progress]))
Iso_Update_Prepare		= [WizardPage] h(26125) subst(Name() Body([MakeRescueDiskWizardPages_Iso_Update_Prepare]))
Iso_Update_Progress		= [WizardPage] h(26125) visible(bProcessing) btns(Back(enable(bCanCancelProcessing)) Next(enable(0)) Cancel(enable(bCanCancelProcessing))) subst(Name() Body([MakeRescueDiskWizardPages_Iso_Update_Progress]))
Iso_Choose_Action		= [WizardPage] h(26847) subst(Name() Body([MakeRescueDiskWizardPages_Iso_Choose_Action]))
Iso_Burn_Prepare		= [WizardPage] h(26848) btns(Next(enable(eTarget == #eRdiskTargetFolder ? strDestIsoPath : size(Recorders) > 0))) subst(Name() Body([MakeRescueDiskWizardPages_Iso_Burn_Prepare]))
Iso_Burn_Progress		= [WizardPage] h(26849) visible(bProcessing) btns(Back(enable(bCanCancelProcessing)) Next(enable(0)) Cancel(enable(bCanCancelProcessing))) subst(Name() Body([MakeRescueDiskWizardPages_Iso_Burn_Progress]))
Finish                  = [WizardPage] h(26126) $LastPage subst(Name() Body([MakeRescueDiskWizardPages_Finish]))

[MakeRescueDiskWizardPages_Intro]
@           	= ext(1)
Inner			= [MakeRescueDiskWizardPages_Intro_Inner]
NewVersion		= [MakeRescueDiskWizardPages_NewVersion] visible(bIsoExists && bNewVersionAvailable)

[MakeRescueDiskWizardPages_Intro_Inner]
@           	= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,) f("Wizard_Text")
Text			= a(la) xy(,16) f("Wizard_TextBold") visible(bIsoExists)
Version			= a(la) xy(,4) f("Wizard_Text") visible(bIsoExists)
UseExistentIso	= t(check) a(la) xy(,8) v(bUseExistentIso) f("Wizard_Text") visible(bIsoExists)

[MakeRescueDiskWizardPages_NewVersion]
@           	= a(lb) sz(p,a) mg(,,,16)
TextNew			= a(la) xy(,,,4) f("Wizard_TextBoldRed") visible(bNewVersionAvailable)
Text			= a(la) xy(,,,4) f("Wizard_TextBold") visible(!bNewVersionAvailable)
Version			= a(la) xy(,,,4) f("Wizard_Text") 
Descr			= a(la) xy(,,,4) visible(global.NewRescueDiskVersion.Descr) f("Wizard_Text") 
RelDate			= a(la) xy(,,,4) visible(global.NewRescueDiskVersion.RelDate) f("Wizard_Text") 
Size            = a(la) xy(,,,4) f("Wizard_Text") 

[MakeRescueDiskWizardPages_Iso_Locate]
@           	= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_Locate_Inner]
NewVersion		= [MakeRescueDiskWizardPages_NewVersion] visible(bNewVersionAvailable)

[MakeRescueDiskWizardPages_Iso_Locate_Inner]
@           	= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
Text			= a(la) f("Wizard_TextBold")
RadioGroup		= [MakeRescueDiskWizardPages_Iso_Locate_RadioGroup]

[MakeRescueDiskWizardPages_Iso_Locate_RadioGroup]
@				= a(la) xy(10,) v(eIsoLocation) sz(p,a)
CopyLocal		= t(radio) a(la) xy(,8) f("Wizard_Text") v(#eRdiskIsoCopyLocal)
Download		= t(radio) a(la) xy(,8) f("Wizard_Text") v(#eRdiskIsoDownload) enable(!(!strIsoUrl)) at(default)

[MakeRescueDiskWizardPages_Iso_CopyLocal]
@           	= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_CopyLocal_Inner]

[MakeRescueDiskWizardPages_Iso_CopyLocal_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
PathLabel		= a(la) xy(,,,4) f("Wizard_TextBold")
Path			= t(edit) a(la) xy(,,$ButtonsLineSizeX) sz(p) v(strIsoPath)
PathBrowse		= $Button a(rs) xy(,-1) onclick(browsefileopen(strIsoPath, $SelectISOFileCaption, "iso")) text($Browse)

[MakeRescueDiskWizardPages_Iso_CopyLocal_Progress]
@				= sz(p,p) ext(1) onclose(bCanCancelProcessing)
Inner			= [MakeRescueDiskWizardPages_Iso_CopyLocal_Progress_Inner]

[MakeRescueDiskWizardPages_Iso_CopyLocal_Progress_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
Text			= a(la) f("Wizard_TextBold")
Progress		= t(progress) a(la) xy(0,4) sz(p,16) v(nPercentProgress)

[MakeRescueDiskWizardPages_Iso_Download_Progress]
@				= sz(p,p) ext(1) onclose(bCanCancelProcessing)
Inner			= [MakeRescueDiskWizardPages_Iso_Download_Progress_Inner]

[MakeRescueDiskWizardPages_Iso_Download_Progress_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
Text			= a(la) f("Wizard_TextBold")
Progress		= t(progress) a(la) xy(0,4) sz(p,16) v(nPercentProgress)

[MakeRescueDiskWizardPages_Iso_Update_Prepare]
@				= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_Update_Prepare_Inner]

[MakeRescueDiskWizardPages_Iso_Update_Prepare_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
Text			= a(la) f("Wizard_TextBold")

[MakeRescueDiskWizardPages_Iso_Update_Progress]
@				= sz(p,p) ext(1) onclose(bCanCancelProcessing)
Inner			= [MakeRescueDiskWizardPages_Iso_Update_Progress_Inner]

[MakeRescueDiskWizardPages_Iso_Update_Progress_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
Text			= a(la) f("Wizard_TextBold")
Progress		= t(progress) a(la) xy(0,4) sz(p,16) v(nPercentProgress)

[MakeRescueDiskWizardPages_Iso_Choose_Action]
@				= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_Choose_Action_Inner]

[MakeRescueDiskWizardPages_Iso_Choose_Action_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
TargetText		= a(la) f("Wizard_TextBold")
Target			= [MakeRescueDiskWizardPages_Iso_Choose_Action_Target]
Instructions	= a(la) xy(,8) f("Wizard_Text") visible(eTarget == #eRdiskTargetUSB)

;[MakeRescueDiskWizardPages_Intro_Target]
[MakeRescueDiskWizardPages_Iso_Choose_Action_Target]
@				= a(la) xy(10,) v(eTarget) sz(p,a)
CD				= t(radio) a(la) xy(,8) f("Wizard_Text") v(#eRdiskTargetCD) enable(bBurnAvail)
CDText			= t(richedit) at(readonly,noborder,nofocus) a(la) xy(,,,16) visible(!bBurnAvail)
USB				= t(radio) a(la) xy(,8) f("Wizard_Text") v(#eRdiskTargetUSB)
Folder			= t(radio) a(la) xy(,8) f("Wizard_Text") v(#eRdiskTargetFolder) 

[MakeRescueDiskWizardPages_Iso_Burn_Prepare]
@				= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_Burn_Prepare_Inner]

[MakeRescueDiskWizardPages_Iso_Burn_Prepare_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,0) f("Wizard_Text") visible(eTarget != #eRdiskTargetFolder)
Text			= a(la) f("Wizard_TextBold") visible(eTarget != #eRdiskTargetFolder)
ComboLabel  	= a(la) f("Wizard_Text") 
RecorderCombo 	= [MakeRescueDiskWizardPages_Iso_Burn_Prepare_Recorder_Combo] a(la) xy(,7) visible(eTarget != #eRdiskTargetFolder)
Instructions	= t(richedit) a(la) xy(,4) at(noborder,readonly) f("Wizard_Text") visible(eTarget != #eRdiskTargetFolder)
Path			= t(edit) a(la) xy(,,$ButtonsLineSizeX) sz(p) v(strDestIsoPath) visible(eTarget == #eRdiskTargetFolder)
PathBrowse		= $Button a(rs) xy(,-1) onclick(browsefilesave(strDestIsoPath, $SelectDestFolderCaption, "iso")) text($Browse) visible(eTarget == #eRdiskTargetFolder)

[MakeRescueDiskWizardPages_Iso_Burn_Prepare_Recorder_Combo]
@               = a(ls) xy(140,$Edit_CenterOffsetY) sz(270) f("Wizard_Text") t(combo) v(SelectedRecorderId) items(vector(Recorders) text(RecorderDriveRoot + " (" + RecorderVendorId + " " + RecorderProductId + ") (" + filesize(TotalSize, "FileSizeTypes") + ")") v(RecorderId))

[MakeRescueDiskWizardPages_Iso_Burn_Progress]
@				= sz(p,p) ext(1) onclose(bCanCancelProcessing) mg(30,10)
Inner			= [MakeRescueDiskWizardPages_Iso_Burn_Progress_Inner]

[MakeRescueDiskWizardPages_Iso_Burn_Progress_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
Text			= a(la) f("Wizard_TextBold")
Progress		= t(progress) a(la) xy(0,4) sz(p,16) v(nPercentProgress)

[MakeRescueDiskWizardPages_Finish]
@				= sz(p,p) ext(1) mg(30,10)
Inner			= [MakeRescueDiskWizardPages_Finish_Inner]

[MakeRescueDiskWizardPages_Finish_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16) f("Wizard_Text")
Text			= $First_Control f("Wizard_TextBold") sz(p,a)
DescrLast		= a(la) xy(,,,16) f("Wizard_Text")
